org.apache.synapse.commons.emulator.http.dsl.dto.consumer

## Class IncomingMessage

- java.lang.Object
- - org.apache.synapse.commons.emulator.http.dsl.dto.consumer.IncomingMessage

-     public class IncomingMessage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingMessage()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildPathRegex(java.lang.String context)`
    `boolean` | `isMatch(HttpRequestContext requestContext)`
    `static IncomingMessage` | `request()`
    `IncomingMessage` | `withBody(java.lang.String body)`
    `IncomingMessage` | `withHeader(java.lang.String name, java.lang.String value)`
    `IncomingMessage` | `withMethod(io.netty.handler.codec.http.HttpMethod method)`
    `IncomingMessage` | `withPath(java.lang.String path)`
    `IncomingMessage` | `withQueryParameter(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncomingMessage

          public IncomingMessage()

  - ### Method Detail

    - #### request

          public static IncomingMessage request()

    - #### withMethod

          public IncomingMessage withMethod(io.netty.handler.codec.http.HttpMethod method)

    - #### withPath

          public IncomingMessage withPath(java.lang.String path)

    - #### withBody

          public IncomingMessage withBody(java.lang.String body)

    - #### withHeader

          public IncomingMessage withHeader(java.lang.String name,
                                            java.lang.String value)

    - #### withQueryParameter

          public IncomingMessage withQueryParameter(java.lang.String name,
                                                    java.lang.String value)

    - #### isMatch

          public boolean isMatch(HttpRequestContext requestContext)

    - #### buildPathRegex

          public void buildPathRegex(java.lang.String context)

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.